// .product-list{
//     display: flex;
//     flex-wrap: wrap;
//     margin-left: -3px;
//     padding-bottom: 3px;
// }

.product-card {
  position: relative;
  z-index: 0;
  height: 270px;
  overflow: hidden;
  margin: 3px 3px 0 0;
  @include media-breakpoint-up(lg) {
    &:hover {
      box-shadow: 0 0 0 3px $yellow;
      z-index: 1;
      &::before {
        opacity: 1;
        visibility: visible;
      }
      .product-info {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
      }
    }
  }
  @include media-breakpoint-up(xxl) {
    height: 340px;
  }
  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba($black, 0.7);
    z-index: -1;
    transition: all 0.2s;
    @include media-breakpoint-up(lg) {
      opacity: 0;
      visibility: hidden;
    }
  }

  a {
    display: flex;
    flex: 1;
    width: 100%;
    flex-direction: column;
  }

  .title {
    color: #ffffff;
    font-size: 1rem;
    font-family: "Poppins", Helvetica, Arial, sans-serif;
    text-align: center;
    font-weight: 700;
    position: absolute;
    top: 50%;
    right: 0;
    bottom: 50%;
    left: 0;
  }

  .product-info {
    position: absolute;
    bottom: 35px;
    left: 0;
    right: 0;
    padding: 0 15px;
    width: 100%;
    z-index: 2;
    transition: 0.2s ease-in-out;

    @include media-breakpoint-up(lg) {
      transform: translateY(100%);
      opacity: 0;
      visibility: hidden;
    }
    h6 {
      @include font-size(1.125rem);
      font-weight: 400;
      padding: 0.5625rem 0;
      line-height: 1.3;
      color: $white;
    }
    .price {
      color: $yellow;
      @include font-size(1.125rem);
      font-weight: $font-weight-bold;
    }
  }
}
